# pkg-config::get-compile-flags

Gets the compile flags required to compile the package, including all its dependencies.

### Usage

`string pkg-config::get-compile-flags(package)`

### Parameters

Name | Type | Description
--- | --- | ---
package | string | The package for which the compile flags should be retrieved.

### Return Value

The pre-processor and compile flags required to compile the package.

### Exceptions

The function will fail in any of the following circumstances:

- `pkg-config` could not be started.
- package does not exist.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)